%define        majorminor  %(echo %version | cut -d. -f 1-2)
%define        libname     lib%{name}

Name:          gst-plugins-base010
Version:       0.10.36
Release:       4mamba
Summary:       GStreamer Streaming-media framework plugins
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://gstreamer.freedesktop.org
Source:        http://gstreamer.freedesktop.org/src/gst-plugins-base/gst-plugins-base-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libGConf-devel
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXext-devel
BuildRequires: libXv-devel
BuildRequires: libalsa-devel
BuildRequires: libcairo-devel
BuildRequires: libcdparanoia-devel
BuildRequires: libglib-devel
%if "%{stage1}" != "1"
BuildRequires: libgnome-vfs-devel
%endif
BuildRequires: libgstreamer010-devel
BuildRequires: libogg-devel
BuildRequires: liborc-devel
BuildRequires: libpango-devel
BuildRequires: libtheora-devel
BuildRequires: libvisual-devel
BuildRequires: libvorbis-devel
BuildRequires: libxml2-devel
BuildRequires: libz-devel
## AUTOBUILDREQ-END
BuildRequires: gettext-devel
BuildRequires: pkgconfig
BuildRequires: valgrind-devel
BuildRequires: libpython-devel
BuildRequires: libcheck-devel
BuildRequires: orc
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     gst-plugins-base0.10
Provides:      gst-plugins-base0.10
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This package contains a set of reference plugins, base classes for other plugins, and helper libraries.
This module is kept up-to-date together with the core developments.
Element writers should look at the elements in this module as a reference for their development.

This module contains elements for, among others:
* device plugins: x(v)imagesink, alsa, v4lsrc, cdparanoia
* containers: ogg
* codecs: vorbis, theora
* text: textoverlay, subparse
* sources: audiotestsrc, videotestsrc, gnomevfssrc
* network: tcp
* typefind
* audio processing: audioconvert, adder, audiorate, audioscale, volume
* visualisation: libvisual
* video processing: ffmpegcolorspace
* aggregate elements: decodebin, playbin

%package -n %{libname}
Summary:       GStreamer plugin libraries
Group:         System/Libraries
Obsoletes:     libgst-plugins-base0.10
Provides:      libgst-plugins-base0.10 = %{version}

%description -n %{libname}
This package contain the basic audio and video playback library and the interfaces library.

%package -n %{libname}-devel
Summary:       GStreamer Plugin Library Headers
Group:         Development/Libraries
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Obsoletes:     libgst-plugins-base0.10-devel
Provides:      libgst-plugins-base0.10-devel = %{version}

%description -n %{libname}-devel
This package contains a set of reference plugins, base classes for other plugins, and helper libraries.

%package -n %{libname}-apidocs
Summary:       GStreamer Plugin Base Library API documentation
Group:         Documentation
Requires:      %{libname} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      gtk-doc
Obsoletes:     libgst-plugins-base0.10-apidocs
Provides:      libgst-plugins-base0.10-apidocs = %{version}

%description -n %{libname}-apidocs
GStreamer Plugin Base Library API documentation.

%prep
%setup -q -n gst-plugins-base-%{version}

%build
export CHECK_LIBS=-lcheck
%configure \
   --enable-libvisual \
   --enable-gio \
   --disable-ivorbis

#\
 #  --enable-gtk-doc \
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%find_lang gst-plugins-base-%{majorminor}

# remove uppackaged files
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.la
rm -f %{buildroot}%{_libdir}/gstreamer-%{majorminor}/*.a
rm -f %{buildroot}%{_libdir}/*.a
rm -f %{buildroot}%{_libdir}/*.la

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f gst-plugins-base-%{majorminor}.lang
%defattr(-,root,root)
%{_bindir}/gst-discoverer-%{majorminor}
%{_bindir}/gst-visualise-%{majorminor}
%dir %{_datadir}/gst-plugins-base
%{_datadir}/gst-plugins-base/license-translations.dict
%{_mandir}/man1/gst-visualise-%{majorminor}.*
%doc COPYING

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgstapp-%{majorminor}.so.*
%{_libdir}/libgstaudio-%{majorminor}.so.*
%{_libdir}/libgstcdda-%{majorminor}.so.*
%{_libdir}/libgstfft-%{majorminor}.so.*
%{_libdir}/libgstinterfaces-%{majorminor}.so.*
%{_libdir}/libgstnetbuffer-%{majorminor}.so.*
%{_libdir}/libgstriff-%{majorminor}.so.*
%{_libdir}/libgstrtp-%{majorminor}.so.*
%{_libdir}/libgsttag-%{majorminor}.so.*
%{_libdir}/libgstvideo-%{majorminor}.so.*
%{_libdir}/libgstpbutils-%{majorminor}.so.*
%{_libdir}/libgstrtsp-%{majorminor}.so.*
%{_libdir}/libgstsdp-%{majorminor}.so.*
%{_libdir}/gstreamer-%{majorminor}/*.so
%{_libdir}/girepository-1.0/Gst*.typelib
%doc AUTHORS COPYING.LIB

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/gstreamer-%{majorminor}/gst/app
%{_includedir}/gstreamer-%{majorminor}/gst/audio
%{_includedir}/gstreamer-%{majorminor}/gst/cdda/
%{_includedir}/gstreamer-%{majorminor}/gst/fft/
%{_includedir}/gstreamer-%{majorminor}/gst/interfaces
%{_includedir}/gstreamer-%{majorminor}/gst/netbuffer
%{_includedir}/gstreamer-%{majorminor}/gst/riff
%{_includedir}/gstreamer-%{majorminor}/gst/tag/
%{_includedir}/gstreamer-%{majorminor}/gst/video/
%{_includedir}/gstreamer-%{majorminor}/gst/floatcast/
%{_includedir}/gstreamer-%{majorminor}/gst/pbutils
%{_includedir}/gstreamer-%{majorminor}/gst/rtp
%{_includedir}/gstreamer-%{majorminor}/gst/rtsp
%{_includedir}/gstreamer-%{majorminor}/gst/sdp
%{_libdir}/libgstapp-%{majorminor}.so
%{_libdir}/libgstaudio-%{majorminor}.so
%{_libdir}/libgstcdda-%{majorminor}.so
%{_libdir}/libgstfft-%{majorminor}.so
%{_libdir}/libgstinterfaces-%{majorminor}.so
%{_libdir}/libgstnetbuffer-%{majorminor}.so
%{_libdir}/libgstriff-%{majorminor}.so
%{_libdir}/libgstrtp-%{majorminor}.so
%{_libdir}/libgsttag-%{majorminor}.so
%{_libdir}/libgstvideo-%{majorminor}.so
%{_libdir}/libgstpbutils-%{majorminor}.so
%{_libdir}/libgstrtsp-%{majorminor}.so
%{_libdir}/libgstsdp-%{majorminor}.so
%{_datadir}/gir-1.0/Gst*.gir
%{_libdir}/pkgconfig/*.pc
%doc ChangeLog NEWS README

%files -n %{libname}-apidocs
%defattr(-,root,root)
%{_datadir}/gtk-doc/html/gst-plugins-base-libs-%{majorminor}/
%{_datadir}/gtk-doc/html/gst-plugins-base-plugins-%{majorminor}/

%changelog
* Sat Apr 12 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.36-4mamba
- move non-library files from libgst-plugins-base010 to gst-plugins-base010 package

* Fri Oct 05 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.36-3mamba
- don't obsolete gst-plugins-base

* Thu Oct 04 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.36-2mamba
- rebuilt as legacy package

* Thu Mar 15 2012 Automatic Build System <autodist@mambasoft.it> 0.10.36-1mamba
- automatic version update by autodist

* Wed Dec 14 2011 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.35-2mamba
- integrate gst-plugins-base into libgst-plugins-base

* Thu Jun 16 2011 Automatic Build System <autodist@mambasoft.it> 0.10.35-1mamba
- automatic update by autodist

* Sat May 14 2011 Automatic Build System <autodist@mambasoft.it> 0.10.34-1mamba
- automatic update by autodist

* Tue Jan 25 2011 Automatic Build System <autodist@mambasoft.it> 0.10.32-1mamba
- automatic update by autodist

* Sat Dec 11 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.31-2mamba
- rebuilt with libtheora 1.1.1 and orc 0.4.11

* Mon Dec 06 2010 Automatic Build System <autodist@mambasoft.it> 0.10.31-1mamba
- automatic update to 0.10.31 by autodist

* Mon Jul 26 2010 Automatic Build System <autodist@mambasoft.it> 0.10.30-1mamba
- automatic update to 0.10.30 by autodist

* Thu Jun 03 2010 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.29-1mamba
- update to 0.10.29

* Tue Feb 16 2010 Automatic Build System <autodist@mambasoft.it> 0.10.26-1mamba
- automatic update by autodist

* Sat Nov 21 2009 Automatic Build System <autodist@mambasoft.it> 0.10.25-1mamba
- automatic update to 0.10.25 by autodist

* Mon Aug 10 2009 Automatic Build System <autodist@mambasoft.it> 0.10.24-1mamba
- automatic update by autodist

* Mon May 18 2009 Automatic Build System <autodist@mambasoft.it> 0.10.23-1mamba
- automatic update by autodist

* Mon Mar 02 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.22-1mamba
- automatic update by autodist

* Mon Nov 10 2008 gil <puntogil@libero.it> 0.10.21-1mamba
- update to 0.10.21

* Wed Jul 09 2008 gil <puntogil@libero.it> 0.10.20-1mamba
- update to 0.10.20

* Fri Apr 11 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.19-1mamba
- update to 0.10.19

* Tue Nov 13 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.14-1mamba
- update to 0.10.14

* Mon Feb 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-3qilnx
- also obsolete devel and apidocs packages

* Mon Feb 26 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 0.10.11-2qilnx
- rename to gst-plugins-base and obsolete libgst-plugins

* Thu Jan 18 2007 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.11-1qilnx
- update to version 0.10.11 by autospec

* Thu Jun 15 2006 Stefano Cotta Ramusino <stefano.cotta@qilinux.it> 0.10.8-1qilnx
- update to version 0.10.8 by autospec
- libgst-plugins-base package changed to libgst-plugins-base0.10

* Tue May 23 2006 Davide Madrisan <davide.madrisan@qilinux.it> 0.10.7-1qilnx
- package created by autospec
